Skip to main content
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
scan-workflows
CreateScanWorkflow
curl --request POST \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/scan-workflows \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "description": "<string>",
    "index_data": {},
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "tags": [
      "<string>"
    ]
  },
  "spec": {
    "automated_scan_parameters": {
      "additional_environment_variables": [
        "<string>"
      ],
      "bazel_configuration": {
        "bazel_exclude_targets": [
          "<string>"
        ],
        "bazel_include_targets": [
          "<string>"
        ],
        "bazel_show_internal_targets": true,
        "bazel_targets_query": "<string>",
        "bazel_workspace_path": "<string>"
      },
      "call_graph_languages": [
        "<string>"
      ],
      "disable_code_snippet_storage": true,
      "disable_code_storage": true,
      "enable_ai_sast_scan": true,
      "enable_automated_pr_scans": true,
      "enable_full_git_log_secret_scan": true,
      "enable_pr_comments": true,
      "enable_pr_incremental_scan": true,
      "enable_pr_security_review_scan": true,
      "enable_remediation_action": true,
      "enable_sast_scan": true,
      "enable_secret_scan": true,
      "excluded_paths": [
        "<string>"
      ],
      "full_pr_scan": true,
      "full_push_scan": true,
      "included_paths": [
        "<string>"
      ],
      "languages": [
        "<string>"
      ]
    },
    "remediation_parameters": {
      "automated_pr_parameters": {
        "language_parameters": {},
        "max_open_prs": 123
      }
    },
    "steps": [
      {
        "scan_profile_uuid": "<string>",
        "title": "<string>",
        "disabled": true
      }
    ]
  },
  "tenant_meta": {}
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "automated_scan_parameters": {
      "additional_environment_variables": [
        "<string>"
      ],
      "bazel_configuration": {
        "bazel_exclude_targets": [
          "<string>"
        ],
        "bazel_include_targets": [
          "<string>"
        ],
        "bazel_show_internal_targets": true,
        "bazel_targets_query": "<string>",
        "bazel_workspace_path": "<string>"
      },
      "call_graph_languages": [
        "<string>"
      ],
      "disable_code_snippet_storage": true,
      "disable_code_storage": true,
      "enable_ai_sast_scan": true,
      "enable_automated_pr_scans": true,
      "enable_full_git_log_secret_scan": true,
      "enable_pr_comments": true,
      "enable_pr_incremental_scan": true,
      "enable_pr_security_review_scan": true,
      "enable_remediation_action": true,
      "enable_sast_scan": true,
      "enable_secret_scan": true,
      "excluded_paths": [
        "<string>"
      ],
      "full_pr_scan": true,
      "full_push_scan": true,
      "included_paths": [
        "<string>"
      ],
      "languages": [
        "<string>"
      ]
    },
    "remediation_parameters": {
      "automated_pr_parameters": {
        "language_parameters": {},
        "max_open_prs": 123
      }
    },
    "steps": [
      {
        "scan_profile_uuid": "<string>",
        "title": "<string>",
        "disabled": true
      }
    ]
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

ScanWorkflow corresponds to a workflow of scan steps.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
tenant_meta
The tenant to which the scan workflow belongs. · object

The tenant to which the scan workflow belongs.

Response

A successful response.

ScanWorkflow corresponds to a workflow of scan steps.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The unique identifier of the scan workflow.